API DocsAI Model APIsVideosSeedance Assets
Delete Asset
Delete an asset the current user can access. Deletion cannot be undone.
Delete an asset. Only an asset the current user can access can be deleted, and deletion cannot be undone.
Base URL
https://api.autorouter.top— Production
Authentication
BearerAuth: http (bearer)
Authenticate using a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Endpoints
DELETE /seedance/v1/asset/{assetId}
Delete Asset
Delete the asset. On success, body is true.
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assetId | string | Yes | Asset ID (Volcano asset ID) |
Responses
200: Success
Content-Type: application/json
Request examples
curl -X DELETE "https://api.autorouter.top/seedance/v1/asset/{assetId}" \
-H "Authorization: Bearer sk-xxxxxx"Response examples
{
"requestId": "2566ee86-396d-42d6-ae0f-d8c11e20d258",
"state": "OK",
"errorCode": null,
"errorMessage": null,
"body": true
}Response fields:
| Name | Type | Description |
|---|---|---|
requestId | string | Request ID |
state | string | Call status. OK means success, ERROR means failure |
errorCode | string | Error code. Empty string or null on success |
errorMessage | string | Error message. Empty string or null on success |
body | boolean | Whether deletion succeeded. true means deleted |
statestring
Call status. OK means success, ERROR means failure
OK: SuccessERROR: Failure. CheckerrorCodeanderrorMessage
bodyboolean
Whether deletion succeeded. true means deleted
Error handling
When the HTTP status is 200, still check state in the response body.
state | Description |
|---|---|
OK | The call succeeded. Business data is in body |
ERROR | The call failed. errorCode is the error code and errorMessage is the error message |
On success, errorCode and errorMessage may be an empty string or null.